> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paygood.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List catalog prices for a merchant

> Returns catalog prices sorted by newest first using cursor pagination. Optional `start` and `end` filters bound `createdAt` inclusively.



## OpenAPI

````yaml /openapi.json get /catalog/prices
openapi: 3.0.0
info:
  title: PayGood Merchant API
  description: Server-to-server integration surface for merchant API keys.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-sandbox.paygood.co
    description: Sandbox
  - url: https://api.paygood.co
    description: Production
security: []
paths:
  /catalog/prices:
    get:
      tags:
        - catalog-prices
      summary: List catalog prices for a merchant
      description: >-
        Returns catalog prices sorted by newest first using cursor pagination.
        Optional `start` and `end` filters bound `createdAt` inclusively.
      operationId: CatalogPricesController_list
      parameters:
        - name: end
          required: false
          in: query
          description: Inclusive ISO-8601 upper bound for price `createdAt`.
          schema:
            example: '2026-03-31T23:59:59.999Z'
            type: string
        - name: start
          required: false
          in: query
          description: Inclusive ISO-8601 lower bound for price `createdAt`.
          schema:
            example: '2026-03-01T00:00:00.000Z'
            type: string
        - name: cursor
          required: false
          in: query
          description: Opaque cursor from a previous `page.nextCursor`.
          schema:
            example: >-
              eyJ2IjoxLCJkYXRhIjp7ImNyZWF0ZWRBdCI6IjIwMjYtMDMtMDFUMTI6MDA6MDAuMDAwWiIsImlkIjoicHJpY2VfMDEuLi4ifX0=
            type: string
        - name: limit
          required: false
          in: query
          description: Number of items to return. Maximum 100.
          schema:
            example: 25
            type: number
        - name: merchantId
          required: true
          in: query
          description: Merchant TypeID (`mer_...`) to scope the list.
          schema:
            example: mer_01hxy8m1nqk9g3x3y3p0azq2bg
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPricesResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ListPricesResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              priceId:
                type: string
              merchantId:
                type: string
              productId:
                type: string
              amount:
                type: integer
                exclusiveMinimum: true
                maximum: 9007199254740991
                minimum: 0
              currency:
                description: Supported currency code (USD, CAD)
                type: string
                minLength: 3
                maxLength: 3
              type:
                type: string
                enum:
                  - one_time
                  - recurring
              interval:
                type: string
              archivedAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
              createdAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
            required:
              - priceId
              - merchantId
              - amount
              - currency
              - type
              - createdAt
        page:
          type: object
          properties:
            hasMore:
              type: boolean
            nextCursor:
              type: string
          required:
            - hasMore
      required:
        - items
        - page
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: merchant_<prefix>_<secret>
      type: http
      description: >-
        Merchant API key bearer token. Legacy wire prefixes `api_key_` and
        `api_` are also accepted.

````